<?xml version="1.0" encoding="UTF-8"?>
<workflow definedname="cancelRevokeBatchWorkflow" description="批量撤销登记">
    <nodes>
        <node id="startTZAccept" name="经办" description="撤销登记听证经办" start="true"/>
        <node id="handleCancelTZ" name="审核" description="撤销登记听证审核"/>
        <node id="approvalCancelTZ" name="审批" description="撤销登记听证审批"/>

        <node id="startDJAccept" name="经办" description="批量撤销登记经办"/>
        <node id="handleCancelDJ" name="审核" description="批量撤销登记审核"/>
        <node id="approvalCancelDJ" name="审批" description="批量撤销登记审批"/>

        <node id="endApprovalplcx" name="结束流程" description="结束流程" end="true" handle="false"/>
        <node id="overPlCxFinish" name="结束流程" description="结束流程" end="true" handle="false"/><!--业务人员发起错误：直接结束-->
    </nodes>

    <sequenceFlow id="startTZAccept_handleCancelTZ" name="听证送审核" description="撤销登记听证经办_撤销登记听证审核"/>
    <sequenceFlow id="startTZAccept_overPlCxFinish" name="听证经办结束流程" description="撤销登记听证经办_结束流程"/>
    <sequenceFlow id="handleCancelTZ_startTZAccept" name="听证审核回退到经办" description="撤销登记听证审核_撤销登记听证经办"/>
    <sequenceFlow id="handleCancelTZ_approvalCancelTZ" name="听证送审批" description="撤销登记听证审核_撤销登记听证审批"/>
    <sequenceFlow id="approvalCancelTZ_handleCancelTZ" name="听证退回审核" description="撤销登记听证审批_撤销登记听证审核"/>
    <sequenceFlow id="approvalCancelTZ_startDJAccept" name="听证送撤销登记经办" description="撤销登记听证审批_批量撤销登记经办"/>

    <sequenceFlow id="startDJAccept_handleCancelDJ" name="撤销送审核" description="批量撤销登记经办_批量撤销登记审核"/>
    <sequenceFlow id="startDJAccept_overPlCxFinish" name="撤销经办结束流程" description="批量撤销登记经办_结束流程"/>
    <sequenceFlow id="handleCancelDJ_startDJAccept" name="撤销审核回退到经办" description="批量撤销登记审核_批量撤销登记经办"/>
    <sequenceFlow id="handleCancelDJ_approvalCancelDJ" name="撤销送审批" description="批量撤销登记审核_批量撤销登记审批"/>
    <sequenceFlow id="approvalCancelDJ_handleCancelDJ" name="撤销退回审核" description="批量撤销登记审批_批量撤销登记审核"/>
    <sequenceFlow id="approvalCancelDJ_endApprovalplcx" name="正常结束" description="批量撤销登记审批_结束"/>
</workflow>
